
// store message
var g_SpamFilter = {};

/**
 * 
 */
function spamFilter(msg, sendFunction, spamDelayMilliSeconds, spamHintFunction)
{
    let now = Date.now();
    let spam = g_SpamFilter[msg.name] || { "lastSent": 0 };
    g_SpamFilter[msg.name] = spam;
    if (now - spamDelayMilliSeconds >= spam.lastSent )
    {
        sendFunction(msg);
        spam.lastSent = now;
        return true;
    }
    spamHintFunction(msg, now - spam.lastSent);
    return false;
}
